# 7.1.0

The 7.1 release adds a handful of new features and updates the story for users of the full library build.

#### New GeoTIFF options

The GeoTIFF source now supports imagery with internal masks.  In addition, the GeoTIFF source accepts a `convertToRGB: 'auto'` setting.  With this new setting, the values will be converted to RGB in cases where the input data has three bands and the photometric interpretation is one of CMYK, YCbCr, CIELab, or ICCLab.

#### Notice to full build users

If you have been using the full build of the library, we now include this full build in the release package.  This should mean stable URLs that you can point to in a `<script>` tag.  See the https://openlayers.org/download/ page for more detail.

#### Deprecation of `ol/AssertionError` and error codes

Future versions will no longer throw `ol/AssertionError` with an error `code`. Instead, they will throw `Error` with just the error message.

#### Updating parameters in `ol/source/ImageWMS` and `ol/source/TileWMS`

The `updateParams()` method is the only way to update WMS parameters. Changes made directly to the `params` object passed as a constructor option will have no effect.

#### List of all changes

See below for a complete list of features and fixes.

 * Fix control styles on Full Screen Mobile example (by @mike-000 in https://github.com/openlayers/openlayers/pull/14079)
 * Include the full build in the ol package (by @openlayers in https://github.com/openlayers/openlayers/pull/14067)
 * Add support for auto conversion to RGB (by @tschaub in https://github.com/openlayers/openlayers/pull/14066)
 * Avoid stuck maps when resolving views from a GeoTIFF (by @tschaub in https://github.com/openlayers/openlayers/pull/14064)
 * GeoTIFF mask support (by @tschaub in https://github.com/openlayers/openlayers/pull/14063)
 * Use preferred tile.openstreetmap.org URL (by @Firefishy in https://github.com/openlayers/openlayers/pull/14062)
 * Clarify proj4 version (by @ahocevar in https://github.com/openlayers/openlayers/pull/14061)
 * Fix register import (by @openlayers in https://github.com/openlayers/openlayers/pull/14059)
 * Clone the WMS params option (by @mike-000 in https://github.com/openlayers/openlayers/pull/14048)
 * Clear cache when WebGL tile layer source reset (by @mike-000 in https://github.com/openlayers/openlayers/pull/14015)
 * Consider both tracing directions when within snap tolerance (by @tschaub in https://github.com/openlayers/openlayers/pull/14057)
 * Fix WebGL preload and empty reproj tiles (by @mike-000 in https://github.com/openlayers/openlayers/pull/14051)
 * Avoid rate limits from the GitHub API (by @tschaub in https://github.com/openlayers/openlayers/pull/14056)
 * Support tracing with the draw interaction (by @tschaub in https://github.com/openlayers/openlayers/pull/14046)
 * Improve some examples (by @MoonE in https://github.com/openlayers/openlayers/pull/14039)
 * Show how to use Skypack (by @ahocevar in https://github.com/openlayers/openlayers/pull/14038)
 * Update to bootstrap 5.2 (by @MoonE in https://github.com/openlayers/openlayers/pull/13996)
 * Move assertion messages into code and deprecate AssertionError (by @ahocevar in https://github.com/openlayers/openlayers/pull/14030)
 * New URL to check for latest release (by @tschaub in https://github.com/openlayers/openlayers/pull/14025)
 * Link to latest 6.x release (by @tschaub in https://github.com/openlayers/openlayers/pull/14026)
 * Do not display TileJSON attributions if empty string (by @mike-000 in https://github.com/openlayers/openlayers/pull/14023)
 * Updates for the 7.0.0 release (by @openlayers in https://github.com/openlayers/openlayers/pull/14019)


<details>
  <summary>Dependency Updates</summary>

 * Bump typescript from 4.7.4 to 4.8.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14073)
 * Bump eslint from 8.22.0 to 8.23.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14069)
 * Bump @babel/core from 7.18.10 to 7.18.13 (by @openlayers in https://github.com/openlayers/openlayers/pull/14071)
 * Bump puppeteer from 16.2.0 to 17.0.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14072)
 * Bump ol-mapbox-style from 9.0.0 to 9.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14070)
 * Bump jquery from 3.6.0 to 3.6.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14074)
 * Bump puppeteer from 16.1.0 to 16.2.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14035)
 * Bump marked from 4.0.18 to 4.0.19 (by @openlayers in https://github.com/openlayers/openlayers/pull/14033)
 * Bump rollup from 2.78.0 to 2.78.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14036)
 * Bump @octokit/rest from 19.0.3 to 19.0.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14034)


</details>
